# Cloud Connector API Changelog

**URL:** <https://community.developer.gridx.de/t/cloud-connector-api-changelog/360>\
**Category:** ☁️ API Documentation: Cloud Connector\
**Tags:** changelog\
**Created:** [January 17, 2025, 8:50am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360 "2025-01-17T08:50:53Z")\
**Posts on this page:** 20\
**Page:** 1

<div class="post-metadata">

**Author:** ![debugloop](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/debugloop/32/355_2.png) [@debugloop](https://community.developer.gridx.de/u/debugloop)\
**Post date:** [January 17, 2025, 8:50am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/1 "2025-01-17T08:50:53Z")

</div>

This topics contains changes to the Cloud Connector API.  
We constantly evolve our APIs in a non-breaking manner. All changes will be recorded here, so you can follow along and become aware of new capabilities, optimization and deprecations.

For breaking changes, there will be prior deprecation with long-enough grace periods. Details on future API evolution processes will follow.

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [February 11, 2025, 2:30pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/2 "2025-02-11T14:30:06Z")

</div>

# Changelog 2025-02-11T14:30:05.651Z

## DELETE /cloud-connector/migrate

- added the new optional request property ‘account’

## POST /cloud-connector/migrate

- added the new optional request property ‘account’

(sha 0fa1f619)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [February 12, 2025, 12:44pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/3 "2025-02-12T12:44:14Z")

</div>

# Changelog 2025-02-12T12:44:14.286Z

## DELETE /cloud-connector/migrate

- ⚠ added the new required request property ‘accountID’
- ⚠ added the new required request property ‘enodeUserIDs’
- ⚠ removed the request property ‘account’
- ⚠ removed the request property ‘userIDs’

## POST /cloud-connector/migrate

- ⚠ added the new required request property ‘accountID’
- ⚠ added the new required request property ‘enodeUserIDs’
- ⚠ removed the request property ‘account’
- ⚠ removed the request property ‘userIDs’

## GET /systems/{system\_id}/actions-required

- endpoint added

(sha 65855e94)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [February 26, 2025, 8:11am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/4 "2025-02-26T08:11:57Z")

</div>

# Changelog 2025-02-26T08:11:57.079Z

## DELETE /cloud-connector/migrate

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘500’ status

## POST /cloud-connector/migrate

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘500’ status

## GET /systems/{system\_id}/actions-required

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘404’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘404’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘404’ status
- added the optional property ‘title’ to the response with the ‘500’ status

## POST /systems/{system\_id}/location

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘404’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘404’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘404’ status
- added the optional property ‘title’ to the response with the ‘500’ status

## GET /systems/{system\_id}/vehicles

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘404’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘404’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘404’ status
- added the optional property ‘title’ to the response with the ‘500’ status

## DELETE /systems/{system\_id}/vehicles/link

- added the optional property ‘code’ to the response with the ‘204’ status
- added the optional property ‘detail’ to the response with the ‘204’ status
- added the optional property ‘title’ to the response with the ‘204’ status

## POST /systems/{system\_id}/vehicles/link

- added the optional property ‘code’ to the response with the ‘403’ status
- added the optional property ‘detail’ to the response with the ‘403’ status
- added the optional property ‘title’ to the response with the ‘403’ status

## GET /systems/{system\_id}/vehicles/{vehicle\_id}

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘404’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘404’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘404’ status
- added the optional property ‘title’ to the response with the ‘500’ status

## GET /systems/{system\_id}/vehicles/{vehicle\_id}/chargesessions

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘404’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘404’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘404’ status
- added the optional property ‘title’ to the response with the ‘500’ status

## POST /systems/{system\_id}/vehicles/{vehicle\_id}/control

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘404’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘404’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘404’ status
- added the optional property ‘title’ to the response with the ‘500’ status

## GET /systems/{system\_id}/vehicles/{vehicle\_id}/measurements

- added the optional property ‘code’ to the response with the ‘400’ status
- added the optional property ‘code’ to the response with the ‘404’ status
- added the optional property ‘code’ to the response with the ‘500’ status
- added the optional property ‘detail’ to the response with the ‘400’ status
- added the optional property ‘detail’ to the response with the ‘404’ status
- added the optional property ‘detail’ to the response with the ‘500’ status
- added the optional property ‘title’ to the response with the ‘400’ status
- added the optional property ‘title’ to the response with the ‘404’ status
- added the optional property ‘title’ to the response with the ‘500’ status

(sha 7577617d)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 3, 2025, 9:21am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/5 "2025-03-03T09:21:02Z")

</div>

# Changelog 2025-03-03T09:21:01.481Z

## POST /systems/{system\_id}/vehicles/link

- ⚠ added required request body

(sha 3fe903c4)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 20, 2025, 4:35pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/6 "2025-03-20T16:35:10Z")

</div>

# Changelog 2025-03-20T16:35:10.177Z

## POST /systems/{system\_id}/vehicles/{vehicle\_id}/start-boost

- endpoint added

## POST /systems/{system\_id}/vehicles/{vehicle\_id}/stop-boost

- endpoint added

(sha 97f339a4)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [April 10, 2025, 11:16am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/7 "2025-04-10T11:16:47Z")

</div>

# Changelog 2025-04-10T11:16:47.086Z

## POST /systems/{system\_id}/vehicles/{vehicle\_id}/control

- ⚠ removed the request property ‘charge’
- added the new optional request property ‘chargeMode’
- added the new optional request property ‘departureAt’
- added the new optional request property ‘departureDailyAt’
- added the new optional request property ‘minRequestedSoc’

(sha 915fccf4)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [April 22, 2025, 9:21am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/8 "2025-04-22T09:21:16Z")

</div>

# Changelog 2025-04-22T09:21:16.609Z

## GET /systems/{system\_id}/actions-required

- added the non-success response with the status ‘412’

## POST /systems/{system\_id}/location

- added the non-success response with the status ‘412’

## GET /systems/{system\_id}/vehicles

- added the non-success response with the status ‘412’

## POST /systems/{system\_id}/vehicles/link

- added the non-success response with the status ‘412’

## GET /systems/{system\_id}/vehicles/{vehicle\_id}

- added the non-success response with the status ‘412’

## GET /systems/{system\_id}/vehicles/{vehicle\_id}/chargesessions

- added the non-success response with the status ‘412’

## POST /systems/{system\_id}/vehicles/{vehicle\_id}/control

- added the non-success response with the status ‘412’

## GET /systems/{system\_id}/vehicles/{vehicle\_id}/measurements

- added the non-success response with the status ‘412’

## POST /systems/{system\_id}/vehicles/{vehicle\_id}/start-boost

- added the non-success response with the status ‘412’

## POST /systems/{system\_id}/vehicles/{vehicle\_id}/stop-boost

- added the non-success response with the status ‘412’

(sha 1b1221fc)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [May 16, 2025, 8:22am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/9 "2025-05-16T08:22:12Z")

</div>

# Changelog 2025-05-16T08:22:11.960Z

## GET /systems/{system\_id}/actions

- endpoint added

## GET /systems/{system\_id}/actions-required

- ⚠ api path removed without deprecation

## GET /systems/{system\_id}/assets

- endpoint added

## DELETE /systems/{system\_id}/assets/link

- endpoint added

## POST /systems/{system\_id}/assets/link

- endpoint added

## GET /systems/{system\_id}/assets/{asset\_id}

- endpoint added

## GET /systems/{system\_id}/assets/{asset\_id}/chargesessions

- endpoint added

## POST /systems/{system\_id}/assets/{asset\_id}/control

- endpoint added

## GET /systems/{system\_id}/assets/{asset\_id}/last-measurement

- endpoint added

## GET /systems/{system\_id}/vehicles/{vehicle\_id}

- ⚠ api path removed without deprecation

## GET /systems/{system\_id}/vehicles/{vehicle\_id}/chargesessions

- ⚠ api path removed without deprecation

## GET /systems/{system\_id}/vehicles/{vehicle\_id}/measurements

- ⚠ api path removed without deprecation

(sha bc67ef73)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [May 20, 2025, 8:32am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/10 "2025-05-20T08:32:32Z")

</div>

# Changelog 2025-05-20T08:32:32.541Z

## GET /systems/{system\_id}/assets/{asset\_id}/control

- endpoint added

(sha 08f3db67)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [May 23, 2025, 8:55am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/11 "2025-05-23T08:55:51Z")

</div>

# Changelog 2025-05-23T08:55:50.918Z

## POST /systems/{system\_id}/location

- api path removed with deprecation

(sha 87b380b4)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [May 26, 2025, 2:12pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/12 "2025-05-26T14:12:11Z")

</div>

# Changelog 2025-05-26T14:12:10.756Z

## GET /systems/{system\_id}/actions

- ⚠ removed the optional property ‘/items/access’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘/items/agent’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘/items/brand’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘/items/vendor’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘/items/vendorType’ from the response with the ‘200’ status
- added the optional property ‘/items/manufacturer’ to the response with the ‘200’ status
- added the optional property ‘/items/resolution/access’ to the response with the ‘200’ status
- added the optional property ‘/items/resolution/agent’ to the response with the ‘200’ status
- added the optional property ‘/items/type’ to the response with the ‘200’ status

## GET /systems/{system\_id}/assets/{asset\_id}/chargesessions

- ⚠ removed the optional property ‘/items/assetId’ from the response with the ‘200’ status
- added the optional property ‘/items/assetID’ to the response with the ‘200’ status

(sha 9fad20b6)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [June 3, 2025, 12:57pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/13 "2025-06-03T12:57:07Z")

</div>

# Changelog 2025-06-03T12:57:07.346Z

## DELETE /cloud-connector/migrate

- ⚠ added the new required request property ‘selectableVehicleIDs’

## POST /cloud-connector/migrate

- ⚠ added the new required request property ‘selectableVehicleIDs’

## GET /systems/{system\_id}/assets

- ⚠ removed the optional property ‘assets/items/lastHeartbeatReceivedAt’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘assets/items/metadata’ from the response with the ‘200’ status
- added the new optional ‘query’ request parameter ‘include’
- added the optional property ‘assets/items/connectivityStatus’ to the response with the ‘200’ status
- added the optional property ‘assets/items/tags’ to the response with the ‘200’ status

## GET /systems/{system\_id}/assets/{asset\_id}

- ⚠ removed the optional property ‘lastHeartbeatReceivedAt’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘metadata’ from the response with the ‘200’ status
- added the new optional ‘query’ request parameter ‘include’
- added the optional property ‘connectivityStatus’ to the response with the ‘200’ status
- added the optional property ‘tags’ to the response with the ‘200’ status

## GET /systems/{system\_id}/assets/{asset\_id}/last-measurement

- ⚠ removed the optional property ‘createdAt’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘deletedAt’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘id’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘kind’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘lastHeartbeatReceivedAt’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘manufacturer’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘metadata’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘model’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘name’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘serialNumber’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘type’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘updatedAt’ from the response with the ‘200’ status
- added the optional property ‘atHome’ to the response with the ‘200’ status
- added the optional property ‘capacity’ to the response with the ‘200’ status
- added the optional property ‘chargeLimit’ to the response with the ‘200’ status
- added the optional property ‘chargePower’ to the response with the ‘200’ status
- added the optional property ‘chargeState’ to the response with the ‘200’ status
- added the optional property ‘isControllable’ to the response with the ‘200’ status
- added the optional property ‘maxCurrent’ to the response with the ‘200’ status
- added the optional property ‘measuredAt’ to the response with the ‘200’ status
- added the optional property ‘plugState’ to the response with the ‘200’ status
- added the optional property ‘range’ to the response with the ‘200’ status
- added the optional property ‘stateOfCharge’ to the response with the ‘200’ status

(sha 31d76d7e)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [August 22, 2025, 12:42pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/14 "2025-08-22T12:42:38Z")

</div>

# Changelog 2025-08-22T12:42:37.968Z

## GET /callback/eha/{system\_id}

- endpoint added

(sha a51f614a)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [September 18, 2025, 10:54am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/15 "2025-09-18T10:54:00Z")

</div>

# Changelog 2025-09-18T10:54:00.244Z

## GET /callback/eha/{system\_id}

- ⚠ api path removed without deprecation

## DELETE /cloud-connector/migrate

- ⚠ added the new required ‘header’ request parameter ‘X-Gateway-ID’

## POST /cloud-connector/migrate

- ⚠ added the new required ‘header’ request parameter ‘X-Gateway-ID’

## GET /systems/{system\_id}/actions

- ⚠ removed the enum value ‘da-DK’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘de-DE’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘en-GB’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘en-US’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘es-ES’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘fi-FI’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘fr-FR’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘nb-NO’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘nl-BE’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘nl-NL’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘pt-PT’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘ro-RO’ from the ‘query’ request parameter ‘language’
- ⚠ removed the enum value ‘sv-SE’ from the ‘query’ request parameter ‘language’
- added the optional property ‘/items/capabilities’ to the response with the ‘200’ status

## DELETE /systems/{system\_id}/assets/link

- ⚠ added the new required ‘header’ request parameter ‘X-Gateway-ID’

## POST /systems/{system\_id}/assets/link

- ⚠ added the new required ‘header’ request parameter ‘X-Gateway-ID’

## GET /systems/{system\_id}/assets/{asset\_id}/control

- added the optional property ‘forcedSoc’ to the response with the ‘200’ status

## POST /systems/{system\_id}/assets/{asset\_id}/control

- added the new optional request property ‘forcedSoc’

## DELETE /systems/{system\_id}/vehicles/link

- ⚠ added the new required ‘header’ request parameter ‘X-Gateway-ID’

## POST /systems/{system\_id}/vehicles/link

- ⚠ added the new required ‘header’ request parameter ‘X-Gateway-ID’

## POST /systems/{system\_id}/vehicles/{vehicle\_id}/control

- added the new optional request property ‘forcedSoc’

(sha b9a95059)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [September 19, 2025, 9:09am UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/16 "2025-09-19T09:09:39Z")

</div>

# Changelog 2025-09-19T09:09:38.542Z

## POST /systems/{system\_id}/assets/link

- added the new optional ‘query’ request parameter ‘vendor’

## POST /systems/{system\_id}/vehicles/link

- added the new optional ‘query’ request parameter ‘vendor’

(sha 1634fa99)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [October 21, 2025, 1:59pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/17 "2025-10-21T13:59:51Z")

</div>

# Changelog 2025-10-21T13:59:50.975Z

## DELETE /cloud-connector/migrate

- ⚠ removed the optional property ‘result’ from the response with the ‘200’ status
- the request property ‘accountID’ became optional
- the request property ‘enodeUserIDs’ became optional
- the request property ‘selectableVehicleIDs’ became optional
- added the optional property ‘errors’ to the response with the ‘200’ status
- added the optional property ‘success’ to the response with the ‘200’ status
- added the optional property ‘systemID’ to the response with the ‘200’ status

## POST /cloud-connector/migrate

- ⚠ removed the optional property ‘result’ from the response with the ‘200’ status
- the request property ‘accountID’ became optional
- the request property ‘enodeUserIDs’ became optional
- the request property ‘selectableVehicleIDs’ became optional
- added the optional property ‘errors’ to the response with the ‘200’ status
- added the optional property ‘success’ to the response with the ‘200’ status
- added the optional property ‘systemID’ to the response with the ‘200’ status

## POST /systems/{system\_id}/vehicles/link

- added the new optional ‘query’ request parameter ‘language’

(sha b8e9b5b4)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [October 27, 2025, 2:02pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/18 "2025-10-27T14:02:47Z")

</div>

# Changelog 2025-10-27T14:02:47.206Z

## DELETE /systems/{system\_id}/assets/link

- ⚠ deleted the ‘header’ request parameter ‘X-Gateway-ID’

(sha b937414a)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [November 27, 2025, 3:20pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/19 "2025-11-27T15:20:07Z")

</div>

# Changelog 2025-11-27T15:20:06.692Z

## POST /events/appliance/create

- endpoint added

## POST /events/appliance/delete

- endpoint added

## POST /events/appliance/update

- endpoint added

## POST /events/ev/charge-failed

- endpoint added

## POST /events/ev/charge-started

- endpoint added

## POST /events/ev/charge-stopped

- endpoint added

## POST /events/ev/measurement

- endpoint added

## POST /events/ev/plugged

- endpoint added

## POST /events/ev/unplugged

- endpoint added

## POST /events/system/action

- endpoint added

## POST /webhook

- ⚠ api path removed without deprecation

(sha 8f98cefd)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [January 20, 2026, 3:49pm UTC](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360/20 "2026-01-20T15:49:47Z")

</div>

# Changelog 2026-01-20T15:49:46.775Z

## GET /systems/{system\_id}/assets

- added the optional property ‘assets/items/oneOf[#/components/schemas/EV]/year’ to the response with the ‘200’ status

## GET /systems/{system\_id}/assets/{asset\_id}

- added the optional property ‘/oneOf[#/components/schemas/EV]/year’ to the response with the ‘200’ status

(sha 03e56898)

[Next page](https://community.developer.gridx.de/t/cloud-connector-api-changelog/360.md?page=2)
